<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clickable="true"
    android:focusable="true"
    android:background="#FFFFFFFF">

    <com.kdanmobile.reader.screen.reader.mediabox.common.MediaBoxHeader
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:id="@+id/titleButton_textBox"
        app:title="Text"
        app:buttonText="ADD"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/editTextView_textBox" />

    <android.support.constraint.ConstraintLayout
        android:id="@+id/editTextView_textBox"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:orientation="vertical"
        android:background="#14000000"
        android:layout_marginBottom="8dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleButton_textBox"
        app:layout_constraintBottom_toTopOf="@+id/textAttrView_textBox" >

        <TextView
            android:id="@+id/tv_preview"
            style="@style/Base.TextAppearance.Widget.AppCompat.Toolbar.Subtitle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginStart="16dp"
            android:layout_marginRight="16dp"
            android:layout_marginEnd="16dp"
            android:gravity="start"
            android:textColor="#f5a623"
            android:textSize="24sp"
            android:text="Sample Text"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent" />
    </android.support.constraint.ConstraintLayout>

    <com.kdanmobile.reader.screen.reader.mediabox.textbox.TextAttrView
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:id="@+id/textAttrView_textBox"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/editTextView_textBox"
        app:layout_constraintBottom_toTopOf="@+id/colorChooser_textBox" />

    <com.kdanmobile.reader.screen.view.ColorSelectView
        android:id="@+id/colorChooser_textBox"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:gravity="center"
        android:paddingTop="12dp"
        android:layout_marginTop="16dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textAttrView_textBox"
        app:layout_constraintBottom_toTopOf="@+id/seekBar_textBox_textSize" />

    <com.kdanmobile.reader.screen.reader.mediabox.common.MediaBoxSeekBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/seekBar_textBox_textSize"
        android:layout_marginTop="16dp"
        app:title="Size"
        app:unit="pt"
        app:maxValue="96"
        app:minValue="8"
        app:initValue="24"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/colorChooser_textBox" />

</android.support.constraint.ConstraintLayout>